javax.faces.view.facelets

## Class MetadataTarget

- java.lang.Object
- - javax.faces.view.facelets.MetadataTarget

-     public abstract class MetadataTarget
      extends Object

  Information used with `MetaRule` for determining how and what `Metadata` should be wired.

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataTarget()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract PropertyDescriptor` | `getProperty(String name)` Return a beans `PropertyDescriptor` for the property with name given by argument `name`.
    `abstract Class` | `getPropertyType(String name)` Return a `Class` for the property with name given by argument `name`.
    `abstract Method` | `getReadMethod(String name)` Return a `Method` for the getter of the property with name given by argument `name`.
    `abstract Class` | `getTargetClass()` Return the `Class` of the metadata target.
    `abstract Method` | `getWriteMethod(String name)` Return a `Method` for the setter of the property with name given by argument `name`.
    `abstract boolean` | `isTargetInstanceOf(Class type)` Return true if the target for this metadata element is an instance of the argument `type`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataTarget

          public MetadataTarget()

  - ### Method Detail

    - #### getProperty

          public abstract PropertyDescriptor getProperty(String name)

      Return a beans `PropertyDescriptor` for the property with name given by argument `name`.

      Parameters:
        `name` - the name of the property for which the `PropertyDescriptor` must be returned.

    - #### isTargetInstanceOf

          public abstract boolean isTargetInstanceOf(Class type)

      Return true if the target for this metadata element is an instance of the argument `type`.

      Parameters:
        `type` - the `Class` to test for the instance of.

    - #### getTargetClass

          public abstract Class getTargetClass()

      Return the `Class` of the metadata target.

    - #### getPropertyType

          public abstract Class getPropertyType(String name)

      Return a `Class` for the property with name given by argument `name`.

      Parameters:
        `name` - the name of the property for which the `Class` must be returned.

    - #### getWriteMethod

          public abstract Method getWriteMethod(String name)

      Return a `Method` for the setter of the property with name given by argument `name`.

      Parameters:
        `name` - the name of the property for which the `Method` must be returned.

    - #### getReadMethod

          public abstract Method getReadMethod(String name)

      Return a `Method` for the getter of the property with name given by argument `name`.

      Parameters:
        `name` - the name of the property for which the `Method` must be returned.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.